> ## Documentation Index
> Fetch the complete documentation index at: https://docs.weekday.works/llms.txt
> Use this file to discover all available pages before exploring further.

# Personal Email

> Fetch personal email



## OpenAPI

````yaml POST /api/fetchPersonalEmail
openapi: 3.1.0
info:
  title: OpenAPI Weekday API Collection
  description: Collection of all Weekday APIs using the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://prod4.weekday.technology
security:
  - bearerAuth: []
paths:
  /api/fetchPersonalEmail:
    post:
      description: Fetch personal email
      requestBody:
        content:
          application/json:
            schema:
              required:
                - linkedInUrl
              type: object
              properties:
                linkedInUrl:
                  description: The LinkedIn profile URL of the person
                  type: string
                  examples:
                    - https://www.linkedin.com/in/amitsy
        required: true
      responses:
        '200':
          description: fetchPersonalEmail response
          content:
            application/json:
              schema:
                type: object
                properties:
                  email:
                    type: string
                    description: Email of the requested LinkedIn profile
                  linkedInUrl:
                    type: string
                    description: The requested LinkedIn Profile URL
                examples:
                  - email: amxxxxx@gmail.com
                    linkedInUrl: https://linkedin.com/in/amitsy
        '400':
          description: Invalid request, missing required fields or invalid data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
                examples:
                  - status: invalid_linkedin_url
                    message: >-
                      Invalid linkedInUrl: {linkedInUrl} on
                      /api/fetchPersonalEmail api call.
        '401':
          description: Unauthorized, invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error500'
components:
  schemas:
    Error:
      type: object
      properties:
        status:
          type: string
        message:
          type: string
    Error401:
      allOf:
        - $ref: '#/components/schemas/Error'
        - examples:
            - status: no_authorization_found
              message: no authorization found
    Error500:
      allOf:
        - $ref: '#/components/schemas/Error'
        - examples:
            - message: internal server error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````